# azure.mgmt.media.operations module

class `azure.mgmt.media.operations.``AccountFiltersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  AccountFiltersOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The Version of the API to be used with the client request. Constant value: “2018-07-01”.

  `create_or_update`(resource_group_name, account_name, filter_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create or update an Account Filter.

    Creates or updates an Account Filter in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - filter_name (str) – The Account Filter name
    - parameters (AccountFilter) – The request parameters
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AccountFilter or ClientRawResponse if raw=true
    Return type: | AccountFilter or ClientRawResponse
    Raises: | `ApiErrorException`

  `delete`(resource_group_name, account_name, filter_name, custom_headers=None, raw=False, **operation_config)

    Delete an Account Filter.

    Deletes an Account Filter in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - filter_name (str) – The Account Filter name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ApiErrorException`

  `get`(resource_group_name, account_name, filter_name, custom_headers=None, raw=False, **operation_config)

    Get an Account Filter.

    Get the details of an Account Filter in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - filter_name (str) – The Account Filter name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AccountFilter or ClientRawResponse if raw=true
    Return type: | AccountFilter or ClientRawResponse
    Raises: | `ApiErrorException`

  `list`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    List Account Filters.

    List Account Filters in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of AccountFilter
    Return type: | AccountFilterPaged[AccountFilter]
    Raises: | `ApiErrorException`

  `update`(resource_group_name, account_name, filter_name, parameters, custom_headers=None, raw=False, **operation_config)

    Update an Account Filter.

    Updates an existing Account Filter in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - filter_name (str) – The Account Filter name
    - parameters (AccountFilter) – The request parameters
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AccountFilter or ClientRawResponse if raw=true
    Return type: | AccountFilter or ClientRawResponse
    Raises: | `ApiErrorException`

  `models` = <module 'azure.mgmt.media.models' from '/usr/lib/python3/dist-packages/azure/mgmt/media/models/__init__.py'>

class `azure.mgmt.media.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The Version of the API to be used with the client request. Constant value: “2018-07-01”.

  `list`(custom_headers=None, raw=False, **operation_config)

    List Operations.

    Lists all the Media Services operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `ApiErrorException`

  `models` = <module 'azure.mgmt.media.models' from '/usr/lib/python3/dist-packages/azure/mgmt/media/models/__init__.py'>

class `azure.mgmt.media.operations.``MediaservicesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  MediaservicesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The Version of the API to be used with the client request. Constant value: “2018-07-01”.

  `create_or_update`(resource_group_name, account_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create or update a Media Services account.

    Creates or updates a Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - parameters (MediaService) – The request parameters
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | MediaService or ClientRawResponse if raw=true
    Return type: | MediaService or ClientRawResponse
    Raises: | `ApiErrorException`

  `delete`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Delete a Media Services account.

    Deletes a Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ApiErrorException`

  `get`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Get a Media Services account.

    Get the details of a Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | MediaService or ClientRawResponse if raw=true
    Return type: | MediaService or ClientRawResponse
    Raises: | `ApiErrorException`

  `get_by_subscription`(account_name, custom_headers=None, raw=False, **operation_config)

    Get a Media Services account.

    Get the details of a Media Services account.

    Parameters:

    - account_name (str) – The Media Services account name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SubscriptionMediaService or ClientRawResponse if raw=true
    Return type: | SubscriptionMediaService or ClientRawResponse
    Raises: | `ApiErrorException`

  `list`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    List Media Services accounts.

    List Media Services accounts in the resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of MediaService
    Return type: | MediaServicePaged[MediaService]
    Raises: | `ApiErrorException`

  `list_by_subscription`(custom_headers=None, raw=False, **operation_config)

    List Media Services accounts.

    List Media Services accounts in the subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of SubscriptionMediaService
    Return type: | SubscriptionMediaServicePaged[SubscriptionMediaService]
    Raises: | `ApiErrorException`

  `sync_storage_keys`(resource_group_name, account_name, id=None, custom_headers=None, raw=False, **operation_config)

    Synchronizes Storage Account Keys.

    Synchronizes storage account keys for a storage account associated with the Media Service account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - id (str) – The ID of the storage account resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ApiErrorException`

  `update`(resource_group_name, account_name, parameters, custom_headers=None, raw=False, **operation_config)

    Update a Media Services account.

    Updates an existing Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - parameters (MediaService) – The request parameters
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | MediaService or ClientRawResponse if raw=true
    Return type: | MediaService or ClientRawResponse
    Raises: | `ApiErrorException`

  `models` = <module 'azure.mgmt.media.models' from '/usr/lib/python3/dist-packages/azure/mgmt/media/models/__init__.py'>

class `azure.mgmt.media.operations.``LocationsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  LocationsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The Version of the API to be used with the client request. Constant value: “2018-07-01”.

  `check_name_availability`(location_name, name=None, type=None, custom_headers=None, raw=False, **operation_config)

    Check Name Availability.

    Checks whether the Media Service resource name is available.

    Parameters:

    - location_name (str) – The name of the location
    - name (str) – The account name.
    - type (str) – The account type. For a Media Services account, this should be ‘MediaServices’.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | EntityNameAvailabilityCheckOutput or ClientRawResponse if raw=true
    Return type: | EntityNameAvailabilityCheckOutput or ClientRawResponse
    Raises: | `ApiErrorException`

  `models` = <module 'azure.mgmt.media.models' from '/usr/lib/python3/dist-packages/azure/mgmt/media/models/__init__.py'>

class `azure.mgmt.media.operations.``AssetsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  AssetsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The Version of the API to be used with the client request. Constant value: “2018-07-01”.

  `create_or_update`(resource_group_name, account_name, asset_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create or update an Asset.

    Creates or updates an Asset in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - asset_name (str) – The Asset name.
    - parameters (Asset) – The request parameters
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Asset or ClientRawResponse if raw=true
    Return type: | Asset or ClientRawResponse
    Raises: | `ApiErrorException`

  `delete`(resource_group_name, account_name, asset_name, custom_headers=None, raw=False, **operation_config)

    Delete an Asset.

    Deletes an Asset in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - asset_name (str) – The Asset name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ApiErrorException`

  `get`(resource_group_name, account_name, asset_name, custom_headers=None, raw=False, **operation_config)

    Get an Asset.

    Get the details of an Asset in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - asset_name (str) – The Asset name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Asset or ClientRawResponse if raw=true
    Return type: | Asset or ClientRawResponse
    Raises: | `ApiErrorException`

  `get_encryption_key`(resource_group_name, account_name, asset_name, custom_headers=None, raw=False, **operation_config)

    Gets the Asset storage key.

    Gets the Asset storage encryption keys used to decrypt content created by version 2 of the Media Services API.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - asset_name (str) – The Asset name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | StorageEncryptedAssetDecryptionData or ClientRawResponse if raw=true
    Return type: | StorageEncryptedAssetDecryptionData or ClientRawResponse
    Raises: | `ApiErrorException`

  `list`(resource_group_name, account_name, filter=None, top=None, orderby=None, custom_headers=None, raw=False, **operation_config)

    List Assets.

    List Assets in the Media Services account with optional filtering and ordering.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - filter (str) – Restricts the set of items returned.
    - top (int) – Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
    - orderby (str) – Specifies the key by which the result collection should be ordered.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Asset
    Return type: | AssetPaged[Asset]
    Raises: | `ApiErrorException`

  `list_container_sas`(resource_group_name, account_name, asset_name, permissions=None, expiry_time=None, custom_headers=None, raw=False, **operation_config)

    List the Asset URLs.

    Lists storage container URLs with shared access signatures (SAS) for uploading and downloading Asset content. The signatures are derived from the storage account keys.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - asset_name (str) – The Asset name.
    - permissions (str or AssetContainerPermission) – The permissions to set on the SAS URL. Possible values include: ‘Read’, ‘ReadWrite’, ‘ReadWriteDelete’
    - expiry_time (datetime) – The SAS URL expiration time. This must be less than 24 hours from the current time.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AssetContainerSas or ClientRawResponse if raw=true
    Return type: | AssetContainerSas or ClientRawResponse
    Raises: | `ApiErrorException`

  `list_streaming_locators`(resource_group_name, account_name, asset_name, custom_headers=None, raw=False, **operation_config)

    List Streaming Locators.

    Lists Streaming Locators which are associated with this asset.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - asset_name (str) – The Asset name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ListStreamingLocatorsResponse or ClientRawResponse if raw=true
    Return type: | ListStreamingLocatorsResponse or ClientRawResponse
    Raises: | `ApiErrorException`

  `update`(resource_group_name, account_name, asset_name, parameters, custom_headers=None, raw=False, **operation_config)

    Update an Asset.

    Updates an existing Asset in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - asset_name (str) – The Asset name.
    - parameters (Asset) – The request parameters
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Asset or ClientRawResponse if raw=true
    Return type: | Asset or ClientRawResponse
    Raises: | `ApiErrorException`

  `models` = <module 'azure.mgmt.media.models' from '/usr/lib/python3/dist-packages/azure/mgmt/media/models/__init__.py'>

class `azure.mgmt.media.operations.``AssetFiltersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  AssetFiltersOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The Version of the API to be used with the client request. Constant value: “2018-07-01”.

  `create_or_update`(resource_group_name, account_name, asset_name, filter_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create or update an Asset Filter.

    Creates or updates an Asset Filter associated with the specified Asset.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - asset_name (str) – The Asset name.
    - filter_name (str) – The Asset Filter name
    - parameters (AssetFilter) – The request parameters
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AssetFilter or ClientRawResponse if raw=true
    Return type: | AssetFilter or ClientRawResponse
    Raises: | `ApiErrorException`

  `delete`(resource_group_name, account_name, asset_name, filter_name, custom_headers=None, raw=False, **operation_config)

    Delete an Asset Filter.

    Deletes an Asset Filter associated with the specified Asset.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - asset_name (str) – The Asset name.
    - filter_name (str) – The Asset Filter name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ApiErrorException`

  `get`(resource_group_name, account_name, asset_name, filter_name, custom_headers=None, raw=False, **operation_config)

    Get an Asset Filter.

    Get the details of an Asset Filter associated with the specified Asset.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - asset_name (str) – The Asset name.
    - filter_name (str) – The Asset Filter name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AssetFilter or ClientRawResponse if raw=true
    Return type: | AssetFilter or ClientRawResponse
    Raises: | `ApiErrorException`

  `list`(resource_group_name, account_name, asset_name, custom_headers=None, raw=False, **operation_config)

    List Asset Filters.

    List Asset Filters associated with the specified Asset.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - asset_name (str) – The Asset name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of AssetFilter
    Return type: | AssetFilterPaged[AssetFilter]
    Raises: | `ApiErrorException`

  `update`(resource_group_name, account_name, asset_name, filter_name, parameters, custom_headers=None, raw=False, **operation_config)

    Update an Asset Filter.

    Updates an existing Asset Filter associated with the specified Asset.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - asset_name (str) – The Asset name.
    - filter_name (str) – The Asset Filter name
    - parameters (AssetFilter) – The request parameters
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AssetFilter or ClientRawResponse if raw=true
    Return type: | AssetFilter or ClientRawResponse
    Raises: | `ApiErrorException`

  `models` = <module 'azure.mgmt.media.models' from '/usr/lib/python3/dist-packages/azure/mgmt/media/models/__init__.py'>

class `azure.mgmt.media.operations.``ContentKeyPoliciesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ContentKeyPoliciesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The Version of the API to be used with the client request. Constant value: “2018-07-01”.

  `create_or_update`(resource_group_name, account_name, content_key_policy_name, options, description=None, custom_headers=None, raw=False, **operation_config)

    Create or update an Content Key Policy.

    Create or update a Content Key Policy in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - content_key_policy_name (str) – The Content Key Policy name.
    - options (list[ContentKeyPolicyOption]) – The Key Policy options.
    - description (str) – A description for the Policy.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ContentKeyPolicy or ClientRawResponse if raw=true
    Return type: | ContentKeyPolicy or ClientRawResponse
    Raises: | `ApiErrorException`

  `delete`(resource_group_name, account_name, content_key_policy_name, custom_headers=None, raw=False, **operation_config)

    Delete a Content Key Policy.

    Deletes a Content Key Policy in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - content_key_policy_name (str) – The Content Key Policy name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ApiErrorException`

  `get`(resource_group_name, account_name, content_key_policy_name, custom_headers=None, raw=False, **operation_config)

    Get a Content Key Policy.

    Get the details of a Content Key Policy in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - content_key_policy_name (str) – The Content Key Policy name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ContentKeyPolicy or ClientRawResponse if raw=true
    Return type: | ContentKeyPolicy or ClientRawResponse
    Raises: | `ApiErrorException`

  `get_policy_properties_with_secrets`(resource_group_name, account_name, content_key_policy_name, custom_headers=None, raw=False, **operation_config)

    Get a Content Key Policy with secrets.

    Get a Content Key Policy including secret values.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - content_key_policy_name (str) – The Content Key Policy name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ContentKeyPolicyProperties or ClientRawResponse if raw=true
    Return type: | ContentKeyPolicyProperties or ClientRawResponse
    Raises: | `ApiErrorException`

  `list`(resource_group_name, account_name, filter=None, top=None, orderby=None, custom_headers=None, raw=False, **operation_config)

    List Content Key Policies.

    Lists the Content Key Policies in the account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - filter (str) – Restricts the set of items returned.
    - top (int) – Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
    - orderby (str) – Specifies the key by which the result collection should be ordered.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ContentKeyPolicy
    Return type: | ContentKeyPolicyPaged[ContentKeyPolicy]
    Raises: | `ApiErrorException`

  `update`(resource_group_name, account_name, content_key_policy_name, options, description=None, custom_headers=None, raw=False, **operation_config)

    Update a Content Key Policy.

    Updates an existing Content Key Policy in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - content_key_policy_name (str) – The Content Key Policy name.
    - options (list[ContentKeyPolicyOption]) – The Key Policy options.
    - description (str) – A description for the Policy.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ContentKeyPolicy or ClientRawResponse if raw=true
    Return type: | ContentKeyPolicy or ClientRawResponse
    Raises: | `ApiErrorException`

  `models` = <module 'azure.mgmt.media.models' from '/usr/lib/python3/dist-packages/azure/mgmt/media/models/__init__.py'>

class `azure.mgmt.media.operations.``TransformsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  TransformsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The Version of the API to be used with the client request. Constant value: “2018-07-01”.

  `create_or_update`(resource_group_name, account_name, transform_name, outputs, description=None, custom_headers=None, raw=False, **operation_config)

    Create or Update Transform.

    Creates or updates a new Transform.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - transform_name (str) – The Transform name.
    - outputs (list[TransformOutput]) – An array of one or more TransformOutputs that the Transform should generate.
    - description (str) – An optional verbose description of the Transform.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Transform or ClientRawResponse if raw=true
    Return type: | Transform or ClientRawResponse
    Raises: | `ApiErrorException`

  `delete`(resource_group_name, account_name, transform_name, custom_headers=None, raw=False, **operation_config)

    Delete Transform.

    Deletes a Transform.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - transform_name (str) – The Transform name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ApiErrorException`

  `get`(resource_group_name, account_name, transform_name, custom_headers=None, raw=False, **operation_config)

    Get Transform.

    Gets a Transform.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - transform_name (str) – The Transform name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Transform or ClientRawResponse if raw=true
    Return type: | Transform or ClientRawResponse
    Raises: | `ApiErrorException`

  `list`(resource_group_name, account_name, filter=None, orderby=None, custom_headers=None, raw=False, **operation_config)

    List Transforms.

    Lists the Transforms in the account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - filter (str) – Restricts the set of items returned.
    - orderby (str) – Specifies the key by which the result collection should be ordered.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Transform
    Return type: | TransformPaged[Transform]
    Raises: | `ApiErrorException`

  `update`(resource_group_name, account_name, transform_name, outputs, description=None, custom_headers=None, raw=False, **operation_config)

    Update Transform.

    Updates a Transform.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - transform_name (str) – The Transform name.
    - outputs (list[TransformOutput]) – An array of one or more TransformOutputs that the Transform should generate.
    - description (str) – An optional verbose description of the Transform.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Transform or ClientRawResponse if raw=true
    Return type: | Transform or ClientRawResponse
    Raises: | `ApiErrorException`

  `models` = <module 'azure.mgmt.media.models' from '/usr/lib/python3/dist-packages/azure/mgmt/media/models/__init__.py'>

class `azure.mgmt.media.operations.``JobsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  JobsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The Version of the API to be used with the client request. Constant value: “2018-07-01”.

  `cancel_job`(resource_group_name, account_name, transform_name, job_name, custom_headers=None, raw=False, **operation_config)

    Cancel Job.

    Cancel a Job.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - transform_name (str) – The Transform name.
    - job_name (str) – The Job name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ApiErrorException`

  `create`(resource_group_name, account_name, transform_name, job_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create Job.

    Creates a Job.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - transform_name (str) – The Transform name.
    - job_name (str) – The Job name.
    - parameters (Job) – The request parameters
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Job or ClientRawResponse if raw=true
    Return type: | Job or ClientRawResponse
    Raises: | `ApiErrorException`

  `delete`(resource_group_name, account_name, transform_name, job_name, custom_headers=None, raw=False, **operation_config)

    Delete Job.

    Deletes a Job.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - transform_name (str) – The Transform name.
    - job_name (str) – The Job name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ApiErrorException`

  `get`(resource_group_name, account_name, transform_name, job_name, custom_headers=None, raw=False, **operation_config)

    Get Job.

    Gets a Job.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - transform_name (str) – The Transform name.
    - job_name (str) – The Job name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Job or ClientRawResponse if raw=true
    Return type: | Job or ClientRawResponse
    Raises: | `ApiErrorException`

  `list`(resource_group_name, account_name, transform_name, filter=None, orderby=None, custom_headers=None, raw=False, **operation_config)

    List Jobs.

    Lists all of the Jobs for the Transform.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - transform_name (str) – The Transform name.
    - filter (str) – Restricts the set of items returned.
    - orderby (str) – Specifies the key by which the result collection should be ordered.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Job
    Return type: | JobPaged[Job]
    Raises: | `ApiErrorException`

  `update`(resource_group_name, account_name, transform_name, job_name, parameters, custom_headers=None, raw=False, **operation_config)

    Update Job.

    Update is only supported for description and priority. Updating Priority will take effect when the Job state is Queued or Scheduled and depending on the timing the priority update may be ignored.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - transform_name (str) – The Transform name.
    - job_name (str) – The Job name.
    - parameters (Job) – The request parameters
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Job or ClientRawResponse if raw=true
    Return type: | Job or ClientRawResponse
    Raises: | `ApiErrorException`

  `models` = <module 'azure.mgmt.media.models' from '/usr/lib/python3/dist-packages/azure/mgmt/media/models/__init__.py'>

class `azure.mgmt.media.operations.``StreamingPoliciesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  StreamingPoliciesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The Version of the API to be used with the client request. Constant value: “2018-07-01”.

  `create`(resource_group_name, account_name, streaming_policy_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create a Streaming Policy.

    Create a Streaming Policy in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - streaming_policy_name (str) – The Streaming Policy name.
    - parameters (StreamingPolicy) – The request parameters
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | StreamingPolicy or ClientRawResponse if raw=true
    Return type: | StreamingPolicy or ClientRawResponse
    Raises: | `ApiErrorException`

  `delete`(resource_group_name, account_name, streaming_policy_name, custom_headers=None, raw=False, **operation_config)

    Delete a Streaming Policy.

    Deletes a Streaming Policy in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - streaming_policy_name (str) – The Streaming Policy name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ApiErrorException`

  `get`(resource_group_name, account_name, streaming_policy_name, custom_headers=None, raw=False, **operation_config)

    Get a Streaming Policy.

    Get the details of a Streaming Policy in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - streaming_policy_name (str) – The Streaming Policy name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | StreamingPolicy or ClientRawResponse if raw=true
    Return type: | StreamingPolicy or ClientRawResponse
    Raises: | `ApiErrorException`

  `list`(resource_group_name, account_name, filter=None, top=None, orderby=None, custom_headers=None, raw=False, **operation_config)

    List Streaming Policies.

    Lists the Streaming Policies in the account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - filter (str) – Restricts the set of items returned.
    - top (int) – Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
    - orderby (str) – Specifies the key by which the result collection should be ordered.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of StreamingPolicy
    Return type: | StreamingPolicyPaged[StreamingPolicy]
    Raises: | `ApiErrorException`

  `models` = <module 'azure.mgmt.media.models' from '/usr/lib/python3/dist-packages/azure/mgmt/media/models/__init__.py'>

class `azure.mgmt.media.operations.``StreamingLocatorsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  StreamingLocatorsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The Version of the API to be used with the client request. Constant value: “2018-07-01”.

  `create`(resource_group_name, account_name, streaming_locator_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create a Streaming Locator.

    Create a Streaming Locator in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - streaming_locator_name (str) – The Streaming Locator name.
    - parameters (StreamingLocator) – The request parameters
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | StreamingLocator or ClientRawResponse if raw=true
    Return type: | StreamingLocator or ClientRawResponse
    Raises: | `ApiErrorException`

  `delete`(resource_group_name, account_name, streaming_locator_name, custom_headers=None, raw=False, **operation_config)

    Delete a Streaming Locator.

    Deletes a Streaming Locator in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - streaming_locator_name (str) – The Streaming Locator name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ApiErrorException`

  `get`(resource_group_name, account_name, streaming_locator_name, custom_headers=None, raw=False, **operation_config)

    Get a Streaming Locator.

    Get the details of a Streaming Locator in the Media Services account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - streaming_locator_name (str) – The Streaming Locator name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | StreamingLocator or ClientRawResponse if raw=true
    Return type: | StreamingLocator or ClientRawResponse
    Raises: | `ApiErrorException`

  `list`(resource_group_name, account_name, filter=None, top=None, orderby=None, custom_headers=None, raw=False, **operation_config)

    List Streaming Locators.

    Lists the Streaming Locators in the account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - filter (str) – Restricts the set of items returned.
    - top (int) – Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
    - orderby (str) – Specifies the key by which the result collection should be ordered.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of StreamingLocator
    Return type: | StreamingLocatorPaged[StreamingLocator]
    Raises: | `ApiErrorException`

  `list_content_keys`(resource_group_name, account_name, streaming_locator_name, custom_headers=None, raw=False, **operation_config)

    List Content Keys.

    List Content Keys used by this Streaming Locator.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - streaming_locator_name (str) – The Streaming Locator name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ListContentKeysResponse or ClientRawResponse if raw=true
    Return type: | ListContentKeysResponse or ClientRawResponse
    Raises: | `ApiErrorException`

  `list_paths`(resource_group_name, account_name, streaming_locator_name, custom_headers=None, raw=False, **operation_config)

    List Paths.

    List Paths supported by this Streaming Locator.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - streaming_locator_name (str) – The Streaming Locator name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ListPathsResponse or ClientRawResponse if raw=true
    Return type: | ListPathsResponse or ClientRawResponse
    Raises: | `ApiErrorException`

  `models` = <module 'azure.mgmt.media.models' from '/usr/lib/python3/dist-packages/azure/mgmt/media/models/__init__.py'>

class `azure.mgmt.media.operations.``LiveEventsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  LiveEventsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The Version of the API to be used with the client request. Constant value: “2018-07-01”.

  `create`(resource_group_name, account_name, live_event_name, parameters, auto_start=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Create Live Event.

    Creates a Live Event.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - live_event_name (str) – The name of the Live Event.
    - parameters (LiveEvent) – Live Event properties needed for creation.
    - auto_start (bool) – The flag indicates if the resource should be automatically started on creation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns LiveEvent or ClientRawResponse<LiveEvent> if raw==True
    Return type: | AzureOperationPoller[LiveEvent] or AzureOperationPoller[ClientRawResponse[LiveEvent]]
    Raises: | `ApiErrorException`

  `delete`(resource_group_name, account_name, live_event_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Delete Live Event.

    Deletes a Live Event.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - live_event_name (str) – The name of the Live Event.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ApiErrorException`

  `get`(resource_group_name, account_name, live_event_name, custom_headers=None, raw=False, **operation_config)

    Get Live Event.

    Gets a Live Event.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - live_event_name (str) – The name of the Live Event.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | LiveEvent or ClientRawResponse if raw=true
    Return type: | LiveEvent or ClientRawResponse
    Raises: | `ApiErrorException`

  `list`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    List Live Events.

    Lists the Live Events in the account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of LiveEvent
    Return type: | LiveEventPaged[LiveEvent]
    Raises: | `ApiErrorException`

  `reset`(resource_group_name, account_name, live_event_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Reset Live Event.

    Resets an existing Live Event.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - live_event_name (str) – The name of the Live Event.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ApiErrorException`

  `start`(resource_group_name, account_name, live_event_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Start Live Event.

    Starts an existing Live Event.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - live_event_name (str) – The name of the Live Event.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ApiErrorException`

  `stop`(resource_group_name, account_name, live_event_name, remove_outputs_on_stop=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Stop Live Event.

    Stops an existing Live Event.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - live_event_name (str) – The name of the Live Event.
    - remove_outputs_on_stop (bool) – The flag indicates if remove LiveOutputs on Stop.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ApiErrorException`

  `update`(resource_group_name, account_name, live_event_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates a existing Live Event.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - live_event_name (str) – The name of the Live Event.
    - parameters (LiveEvent) – Live Event properties needed for creation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns LiveEvent or ClientRawResponse<LiveEvent> if raw==True
    Return type: | AzureOperationPoller[LiveEvent] or AzureOperationPoller[ClientRawResponse[LiveEvent]]
    Raises: | `ApiErrorException`

  `models` = <module 'azure.mgmt.media.models' from '/usr/lib/python3/dist-packages/azure/mgmt/media/models/__init__.py'>

class `azure.mgmt.media.operations.``LiveOutputsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  LiveOutputsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The Version of the API to be used with the client request. Constant value: “2018-07-01”.

  `create`(resource_group_name, account_name, live_event_name, live_output_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Create Live Output.

    Creates a Live Output.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - live_event_name (str) – The name of the Live Event.
    - live_output_name (str) – The name of the Live Output.
    - parameters (LiveOutput) – Live Output properties needed for creation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns LiveOutput or ClientRawResponse<LiveOutput> if raw==True
    Return type: | AzureOperationPoller[LiveOutput] or AzureOperationPoller[ClientRawResponse[LiveOutput]]
    Raises: | `ApiErrorException`

  `delete`(resource_group_name, account_name, live_event_name, live_output_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Delete Live Output.

    Deletes a Live Output.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - live_event_name (str) – The name of the Live Event.
    - live_output_name (str) – The name of the Live Output.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ApiErrorException`

  `get`(resource_group_name, account_name, live_event_name, live_output_name, custom_headers=None, raw=False, **operation_config)

    Get Live Output.

    Gets a Live Output.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - live_event_name (str) – The name of the Live Event.
    - live_output_name (str) – The name of the Live Output.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | LiveOutput or ClientRawResponse if raw=true
    Return type: | LiveOutput or ClientRawResponse
    Raises: | `ApiErrorException`

  `list`(resource_group_name, account_name, live_event_name, custom_headers=None, raw=False, **operation_config)

    List Live Outputs.

    Lists the Live Outputs in the Live Event.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - live_event_name (str) – The name of the Live Event.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of LiveOutput
    Return type: | LiveOutputPaged[LiveOutput]
    Raises: | `ApiErrorException`

  `models` = <module 'azure.mgmt.media.models' from '/usr/lib/python3/dist-packages/azure/mgmt/media/models/__init__.py'>

class `azure.mgmt.media.operations.``StreamingEndpointsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  StreamingEndpointsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The Version of the API to be used with the client request. Constant value: “2018-07-01”.

  `create`(resource_group_name, account_name, streaming_endpoint_name, parameters, auto_start=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Create StreamingEndpoint.

    Creates a StreamingEndpoint.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - streaming_endpoint_name (str) – The name of the StreamingEndpoint.
    - parameters (StreamingEndpoint) – StreamingEndpoint properties needed for creation.
    - auto_start (bool) – The flag indicates if the resource should be automatically started on creation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns StreamingEndpoint or ClientRawResponse<StreamingEndpoint> if raw==True
    Return type: | AzureOperationPoller[StreamingEndpoint] or AzureOperationPoller[ClientRawResponse[StreamingEndpoint]]
    Raises: | `ApiErrorException`

  `delete`(resource_group_name, account_name, streaming_endpoint_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Delete StreamingEndpoint.

    Deletes a StreamingEndpoint.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - streaming_endpoint_name (str) – The name of the StreamingEndpoint.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ApiErrorException`

  `get`(resource_group_name, account_name, streaming_endpoint_name, custom_headers=None, raw=False, **operation_config)

    Get StreamingEndpoint.

    Gets a StreamingEndpoint.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - streaming_endpoint_name (str) – The name of the StreamingEndpoint.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | StreamingEndpoint or ClientRawResponse if raw=true
    Return type: | StreamingEndpoint or ClientRawResponse
    Raises: | `ApiErrorException`

  `list`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    List StreamingEndpoints.

    Lists the StreamingEndpoints in the account.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of StreamingEndpoint
    Return type: | StreamingEndpointPaged[StreamingEndpoint]
    Raises: | `ApiErrorException`

  `scale`(resource_group_name, account_name, streaming_endpoint_name, scale_unit=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Scale StreamingEndpoint.

    Scales an existing StreamingEndpoint.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - streaming_endpoint_name (str) – The name of the StreamingEndpoint.
    - scale_unit (int) – The scale unit number of the StreamingEndpoint.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ApiErrorException`

  `start`(resource_group_name, account_name, streaming_endpoint_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Start StreamingEndpoint.

    Starts an existing StreamingEndpoint.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - streaming_endpoint_name (str) – The name of the StreamingEndpoint.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ApiErrorException`

  `stop`(resource_group_name, account_name, streaming_endpoint_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Stop StreamingEndpoint.

    Stops an existing StreamingEndpoint.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - streaming_endpoint_name (str) – The name of the StreamingEndpoint.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ApiErrorException`

  `update`(resource_group_name, account_name, streaming_endpoint_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Update StreamingEndpoint.

    Updates a existing StreamingEndpoint.

    Parameters:

    - resource_group_name (str) – The name of the resource group within the Azure subscription.
    - account_name (str) – The Media Services account name.
    - streaming_endpoint_name (str) – The name of the StreamingEndpoint.
    - parameters (StreamingEndpoint) – StreamingEndpoint properties needed for creation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns StreamingEndpoint or ClientRawResponse<StreamingEndpoint> if raw==True
    Return type: | AzureOperationPoller[StreamingEndpoint] or AzureOperationPoller[ClientRawResponse[StreamingEndpoint]]
    Raises: | `ApiErrorException`

  `models` = <module 'azure.mgmt.media.models' from '/usr/lib/python3/dist-packages/azure/mgmt/media/models/__init__.py'>